package java.security;

import java.io.Serializable;

public abstract class SecureRandomSpi implements Serializable
{
    private static final long serialVersionUID = -2991854161009191830L;
    
    public SecureRandomSpi() {
    }
    
    protected abstract void engineSetSeed(byte[] p0);
    
    protected abstract void engineNextBytes(byte[] p0);
    
    protected abstract byte[] engineGenerateSeed(int p0);
}
